Package com.xebialabs.deployit.plugin.api.udm

# Class BaseProvisionedContainer<D extends Provisionable,C extends Container>

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseDeployed<D,C>
com.xebialabs.deployit.plugin.api.udm.BaseDeployedContainer<D,C>
com.xebialabs.deployit.plugin.api.udm.BaseProvisionedContainer<D,C>

All Implemented Interfaces:
  `ConfigurationItem`, `Container`, `Deployed<D,C>`, `EmbeddedDeployedContainer<D,C>`, `Provisioned<D,C>`, `Taggable`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(virtual=true, description="Base type for all provisioneds that are containers.") public class BaseProvisionedContainer<D extends Provisionable,C extends Container> extends BaseDeployedContainer<D,C> implements Provisioned<D,C>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

  `CONTAINER_FIELD, DEPLOYABLE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

  `TAGS_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseProvisionedContainer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getOrdinal()`
  `Set<String>`
  `getTags()`
  `void`
  `setOrdinal(int ordinal)`
  `void`
  `setTags(Set<String> tags)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployed

  `getBoundConfigurationItems, getContainer, getDeployable, setBoundConfigurationItems, setContainer, setDeployable`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.Deployed

  `getBoundConfigurationItems, getContainer, getDeployable, setBoundConfigurationItems, setContainer, setDeployable`

- ## Constructor Details

  - ### BaseProvisionedContainer

    public BaseProvisionedContainer()

- ## Method Details

  - ### getTags

    public Set<String> getTags()
    Specified by:
      `getTags` in interface `Taggable`
    Overrides:
      `getTags` in class `BaseDeployedContainer<D extends Provisionable,C extends Container>`

  - ### setTags

    public void setTags(Set<String> tags)
    Specified by:
      `setTags` in interface `Taggable`
    Overrides:
      `setTags` in class `BaseDeployedContainer<D extends Provisionable,C extends Container>`

  - ### setOrdinal

    public void setOrdinal(int ordinal)
    Specified by:
      `setOrdinal` in interface `Provisioned<D extends Provisionable,C extends Container>`

  - ### getOrdinal

    public int getOrdinal()
    Specified by:
      `getOrdinal` in interface `Provisioned<D extends Provisionable,C extends Container>`